Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002322TestLinkTest Specificationpublic2009-04-02 10:282009-05-11 15:54
Reportertoshi 
Assigned Totoshi 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.0 
Fixed in Version1.8.1 
Summary0002322: Testcase name trancation break multi-byte characters
DescriptionWhen we import testcases, testcase name trancation break multi-byte characters.
iconv_substr()/iconv_strlen() are better than substr()/strlen().
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Fileszip file icon patch.2322.zip [^] (8,935 bytes) 2009-04-02 10:35
xml file icon testsuites.xml [^] (1,435 bytes) 2009-04-03 16:51

- Relationships
related to 0001519closedtoshi Excel Importing Misses Multi-byte Charactors 

-  Notes
(0006160)
toshi (reporter)
2009-04-02 10:35

I attached a patch. Could you check this patck?
If it is no problem, I think to commit it.
(0006186)
schlundus (reporter)
2009-04-03 02:28

@toshi,
can you provide me a well-formed sample import file with japanese chars or something else`?
(0006199)
toshi (reporter)
2009-04-03 16:51

Thank you for your quick response.

I attach a Japanese test suite file with long name.

I also re-tested and was able to check that the multi-byte characters name are trancated correctly.
(0006200)
schlundus (reporter)
2009-04-04 00:17

Fixed in 1.8.1 and above

- Issue History
Date Modified Username Field Change
2009-04-02 10:28 toshi New Issue
2009-04-02 10:29 toshi Relationship added related to 0001519
2009-04-02 10:35 toshi File Added: patch.2322.zip
2009-04-02 10:35 toshi Note Added: 0006160
2009-04-02 19:08 schlundus Status new => assigned
2009-04-02 19:08 schlundus Assigned To => schlundus
2009-04-03 02:28 schlundus Note Added: 0006186
2009-04-03 15:37 schlundus Assigned To schlundus => toshi
2009-04-03 16:51 toshi File Added: testsuites.xml
2009-04-03 16:51 toshi Note Added: 0006199
2009-04-04 00:17 schlundus Status assigned => resolved
2009-04-04 00:17 schlundus Fixed in Version => 1.8.1 (bug fixes)
2009-04-04 00:17 schlundus Resolution open => fixed
2009-04-04 00:17 schlundus Note Added: 0006200
2009-05-11 15:54 mhavlat Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker